
Redmine - Defect #13036

auto generated comment "Applied in changeset xxx" is not link to commit

2013-01-30 18:05 - Bảo Gia

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.2.2

Description

It should be:

"Applied in changeset commit:repoid|hash."

Not:

"Applied in changeset repoid|commit:hash."

Related issues:

Related to Redmine - Defect #12685: Commit message generates invalid link whe... Closed

Is duplicate of Redmine - Defect #13544: Commit reference: autogenerated issu... Closed

History

#1 - 2013-02-12 11:42 - Dietmar H

I can confirm this.

I guess the extended syntax is intentional, because now more then 1 repository per project are allowed. With svn repos, that means the repo must be

included in the commit macro in order to uniquely identify the commit.

However the macro isn't expanded to a link if it contains the repo.

Redmine version here: 2.2.2.stable

#2 - 2013-02-12 11:56 - Dietmar H

seems to be a duplicate of #13005

#3 - 2013-02-16 08:10 - Bảo Gia

Dietmar Hofer wrote:

seems to be a duplicate of #13005

 No. #13005 is abount repoid "contains underscores"

#4 - 2013-02-16 08:13 - Bảo Gia

Dietmar Hofer wrote:

I guess the extended syntax is intentional, because now more then 1 repository per project are allowed. With svn repos, that means the repo

must be included in the commit macro in order to uniquely identify the commit.

 No. This is a bug, not "intentional".

It should be "commit:repoid|hash" (have repoid => can support >1 repo per project)

#5 - 2013-03-17 06:54 - A B

- File cs.patch added

Attached is a patch to fix this. Unlike the patch in #12685 this works for both hash-based and non-hash based (e.g. subversion) revisions, and

includes a unit test for the hash-based case (the non-hash based case already has a test).

#6 - 2013-03-17 09:30 - Daniel Felix

Thanks for providing a patch!

I would like to test it but I can't. I'm currently at hospital. Maybe someone can check this. Maybe this one could find its way in 2.2.4/2.3 in a fast pace if
it could be evaluated! :-)

#7 - 2013-11-22 15:18 - Viktor Berke

Hi, I can confirm this bug. I've tested both patches (i.e. this one and the one from #12685) on Redmine 2.4.0, they both work. Please merge this.

#8 - 2013-11-22 15:27 - Viktor Berke

- File cs_mod.patch added

Though I suggest some logical cleanup, i.e. | is not part of the repo id. The very slightly modified patch is attached.

#9 - 2015-07-13 13:08 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Fixed by #13544.

#10 - 2015-07-13 13:09 - Toshi MARUYAMA

- Is duplicate of Defect #13544: Commit reference: autogenerated issue note has wrong commit link syntax in multi-repo or cross-project context

added

Files

cs.patch 1.48 KB 2013-03-17 A B

cs_mod.patch 1.48 KB 2013-11-22 Viktor Berke
